***************************  Unclassified  ****************************
* :nick.R210FT      :sec.Unclassified                   :disk.COMMLAN
* :title.v2.1 Netware Client for OS/2 Patches    (R210FT.EXE)
* :version.2.1      :date.95/02/15   :summary.          :support.I
* :oname.David Lock                  :onode.WINVMB      :ouser.LOCKDM
* :aname.Sona Ladva                  :anode.EHONE       :auser.86635238
* :bname.                            :bnode.            :buser.
* :updatereason.NEW                  :seccode.UNC
* :hw.
* :sw.
* :ops.                              :lang.             :source.
* :doc.
* :appcodes.NETWARE
* :medium.Binary Self-Extracting file
* :abs.
* v2.1 NetWare Client for OS/2 Patches             (R210FT.EXE)
* ---------------------------------------------------------------
* This package is made up of the following files:
*
* R210FT DOC15JB5 - This document
* R210FT EXE15JB5 - Binary self-extracting file.
*
* ---------------------------------------------------------------
*
* NOVELL PRODUCT and VERSION: NetWare Client for OS/2 2.10
*
* ABSTRACT:
*
* These patches have not been submitted to Novell system test.
* THE FUTURE HOME FOR R210FT.EXE WILL BE NOVLIB/05.  ALL USERS
* SHOULD REFER TO THIS LIBRARY FOR FUTURE RELEASES.  Patched
* NetWare OS/2 utilities are no longer contained in this file.  A
* hybrid set of OS/2 utilities from v3.12 NetWare can be found in
* OS2UTA.EXE & OS2UTB.EXE, NetWare v3.11 users should consider
* these utilites.  NetWare v3.x & v4.x users can get OS2UTP.EXE
* which contains the latest patched OS/2 utilities.   These files
* are found in NOVLIB/06.
*
* ---------------------------------------------------------------
* DISCLAIMER
* THE ORIGIN OF THIS INFORMATION MAY BE INTERNAL OR EXTERNAL TO
* NOVELL.  NOVELL MAKES EVERY EFFORT WITHIN ITS MEANS TO VERIFY
* THIS INFORMATION.  HOWEVER, THE INFORMATION PROVIDED IN THIS
* DOCUMENT IS FOR YOUR INFORMATION ONLY.  NOVELL MAKES NO
* EXPLICIT OR IMPLIED CLAIMS TO THE VALIDITY OF THIS INFORMATION.
* ---------------------------------------------------------------
*
* SYMPTOM
*
* NETX.EXE would not allow access to modify (write) files when
* File Scan rights had been revoked.
*
* SOLUTION
*
* Apply  NETX.EXE, 85226 bytes,  10-18-94.
*
* SYMPTOM
*
* NETX.EXE displays all drives that are not NetWare drives, as
* Local drives, regardless of whether they are local or mapped by
* another requester ( IBM's Lan Requester).
*
* SYMPTOM
*
* Netx.exe will not load when using a VMB (Virtual Boot Machine)
* if the Dos version is greater than  v6.00.
*
* SOLUTION
*
* Apply  NETX.EXE, 83869 bytes,  08-05-94.
*
* SYMPTOM
*
* Some DOS applications (ie Norton's SI.EXE) when executed so
* that output is redirected to a file on the network would give
* garbage in the output file. (ie. SI > F:\TEST.TXT)
*
* SOLUTION
*
* Apply NETX.EXE, 83869 bytes, 6-10-94.
*
* SYMPTOM
*
* The DOS calls "FindFirstFile" and "FindNextFile" do not work
* properly in a Private DOS session (VDM).  The problem occurs
* when trying to do DOS find file calls inside a loop of DOS find
* files when the files are on different drives (one network, one
* local).  The same program, modified for the same drive (both
* network or both local), works correctly.
*
* SOLUTION
*
* Apply NETX.EXE, 83885 bytes, 6-6-94.
*
*
* SYMPTOM
*
* SPX applications in VDMs would lose connections.
*
* SYMPTOM
*
* When running with Pentium or other SL-Enhanced processors IPX
* activity would occur even when interrupts had been disabled for
* the VDM.
*
* SOLUTION
*
* Apply VIPX.SYS, 53248 bytes, 11-08-94.
* Apply DOSVIPX.SYS, 10560 bytes, 11-08-94.
*
*
* SYMPTOM
*
* Slower than expected performance when accessing network
* resources.
*
* SOLUTION
*
* Apply NWREW.SYS, 31764 bytes, 10-28-94.
*
* SYMPTOM
*
* Network drives cannot be accessed in Global VDMs after the
* workstation is RPL booted.
*
* SOLUTION
*
* Apply NWREQ.SYS, 31764 bytes, 7-21-94.
*
* SYMPTOM
*
* Error SYS1039 and SYS1040 would occur and connection would be
* lost with Packet Burst enabled or if using large packet size
* (4202).   This would occur when using a remote link product (
* Lan Distance from IBM) and  the NetWare Client Kit v2.10.
*
* SOLUTION
*
* Apply NWREQ.SYS, 31780 bytes, 7-01-94 and  PBURST.EXE   From
* NOVLIB/05 .
*
* SYMPTOM
*
* When logging into a server that is not a preferred server and
* then loading NWTools, the workstation will be logged out of the
* server it was just logged into.
*
* SOLUTION
*
* Apply NWREQ.SYS, 31780 bytes, 7-01-94
*
* SYMPTOM
*
* Customer running IBM Lan Requester v3.0 and NetWare Requester
* v2.10.  Customer captures or redirects LPT1 to a NetWare Queue
* and LPT2 to a Lan Server Queue. Then Executes "ENDCAP /ALL".
* This produces the following Trap in NWREQ.SYS
*
* TRAP D NWREQ:CGROUP: DHL_DecrementFlobalLocks:
* ip=3730, cmp WORD ptr es:01fe|,+00  es=0 therefore Invalid.
*
* SOLUTION
*
* Apply NWREQ.SYS, 31380 bytes, 5-26-94.
*
* SYMPTOM
*
* Receiving errors and a loss of connection when crossing a
* router when the NetWare Client is using LIP and Packet Burst.
* After they boot up the OS/2 workstation and run login, the
* following errors occur during the login process:
*
*  "REQ1040: Requester timed out waiting for reply from server
*  <servername>"
*
*  "SYS2070: A program in this session encountered a problem and
*  cannot continue.
*
*  (more info... The system could not demand load the
*  application's segment. Capture is in error. For additional
*  details type HELP SYS59244559.)"    "LOGIN-4.07 760: The
*  utility could not execute the program CAPTURE.  The program
*  was not found."
*
* SOLUTION
*
* Apply NWREQ.SYS, 31380 bytes, 5-26-94 and NWIFS.IFS, 40036
* bytes, 5-26-94.
*
* SYMPTOM
*
* Previous revisions of NWIFS handled a trailing DBCS character
* containing the value 0x5C incorrectly.  It assumed that the
* trailing byte was a directory separator and would append a '*'
* to the name in DosFindFirst.
*
* Previous revisions of NWIFS would send 512 bytes of data on
* each DosFindNext request, causing performance problems on wide-
* area networks.
*
* Revisions of NWIFS since 6-14-94 fixed a problem where file
* handles inherited by a child process were prematurely closed if
* the parent process exits before the child.  Unfortunately, file
* locks would not be implicitly released if the owning process
* closed the file and another process had the same file open.
* This change has been removed from the IFS.
*
* SOLUTION
*
* Apply NWIFS.IFS, 40196 bytes, 10-6-94.
*
* SYMPTOM
*
* Applications that do file and record locking may appear to run
* slower than expected.
*
* CAUSE
*
* The IFS was failing to reset a lock semiphore when it received
* a failed condition on a file lock attempt.
*
* SOLUTION
*
* Apply NWIFS.IFS,  40084 bytes,  08-31-94.
*
* SYMPTOM
*
* The NWIFS.IFS would match search queries even on files which do
* not contain attributes required by the search.  For instance,
* specifying "directories-only" in the REXX function SysFileTree
* did not exclude ordinary files from the list.
*
* SYMPTOM
*
* NWIFS.IFS would prematurely close file handles inherited by a
* child process when the parent process exits.  For instance,
* redirecting a child process's output to a file and calling the
* 'C' function execv() would cause the child process to get an
* invalid file handle error because the parent process had
* exited.
*
* SOLUTION
*
* Apply NWIFS.IFS, 40084 bytes, 6-17-94.
*
* SYMPTOM
*
* The first network drive (default L:) is not available until the
* PMSHELL.EXE is loaded.
*
* CAUSE
*
* NWDAEMON.EXE  was changed to be a PM application and the first
* network drive was not made available until PMSHELL.EXE loads.
*
* SOLUTION
*
* Apply NWDAEMON.EXE, 36269 bytes, 5-26-94.
*
* SYMPTOM
*
* SPX applications would hang.
*
* CAUSE
*
* Previous revisions of SPX did not check for an illegal
* datastream type in an ECB submitted to SendSequencedPacket().
* SPX now returns the SPX_BAD_PACKET error code in this
* situation.
*
* SYMPTOM
*
* SPX was sending duplicate data frames on wide area or slower
* networks, the SPX parameter SEND TIMEOUT used in the NET.CFG
* did not function.
*
* CAUSE
*
* The SEND TIMEOUT parameter in NET.CFG now defaults to 500
* milliseconds, with a minimum of 100 msec and a maximum of 6000
* msec.  This is added to the round trip time and averaged with
* the current retry delay if no timeout occurs.  When sending a
* retry, the current retry delay is increased by 50% for each
* retry up to a maximum of 6 seconds.  Send retries are now
* always dynamic.  Instead of returning an A400h error without
* aborting the connection, a send timeout now returns A3EDh
* (connection aborted) and aborts the connection.
*
* SOLUTION
*
* Apply SPX.SYS, 15540 bytes, 09-02-94.
*
*
* SYMPTOM
*
* Named Pipes communication in a VDM would fail shortly after a
* DOS open was communicated to the Named Pipe server.
*
* SOLUTION
*
* Apply NMPIPE.SYS, 17792 bytes, 11-11-94.
*
*
* SYMPTOM
*
* VDMs on RPL (Remote Program Load) workstations will only show
* 588k bytes of available memory.
*
* CAUSE
*
* MINI.IFS was allocating real memory and not releasing it.
*
* SOLUTION
*
* Apply MINI.IFS, 8673 bytes, 6-23-94.  The MINI.IFS is used ONLY
* with Remote Program Load.
*
*
* SYMPTOM
*
* WINOS2 SPX Database client application "Forest & Trees" would
* get sys3176 errors after multiple queries.  NWIPXSPX.DLL was
* not freeing resources properly. In WINOS2 session if an attempt
* was made to make an SPX connection to a database server that
* was not available the WINOS2 session would hang.
*
* SOLUTION
*
* Apply NWIPXSPX DLL, 38736 bytes, 6-21-94.
*
* SYMPTOM
*
* 1.  Error "NWTOOLS-4.10-62 : The send command has failed"
* occurs if you try to send a message to more that 64 users.
*
* 2.  Nwtools will setup or capture ports LPT4-LPT9, but will not
* reload or setup these ports when loading the *.NWS files.
*
* SOLUTION
*
* Apply NWTOOLS.EXE   565909 bytes, 7-05-94.
*
* Self-Extracting File Name:  R210FT.EXE     Revision:  A
*
* Files Included     Size     Date      Time
*
* \
*   R210FT.TXT         (This File)
*      SPX.SYS      15540   09-02-94   10:47a
*     MINI.IFS       8673   06-23-94    3:13p
*     NETX.EXE      85226   10-18-94    3:19p
*     VIPX.SYS      53248   11-08-94    4:46p
*    NWIFS.IFS      40196   10-06-94    4:16p
*    NWREQ.SYS      31764   10-28-94    2:52p
*   NMPIPE.SYS      17792   11-11-94   11:45a
*  DOSVIPX.SYS      10560   11-08-94    4:46p
*  NWTOOLS.EXE     565909   07-05-94    2:45p
* NWDAEMON.EXE      36269   05-26-94    3:10p
* NWIPXSPX.DLL      38736   06-21-94    3:02p
*
*
* Installation Instructions:
*
* * Create a directory called INSTALL#.NEW under \NETWARE.  Copy
* all files into \NETWARE\INSTALL#.NEW and reboot.
*
* * NWIPXSPX.DLL will need to be manually copied to
* C:\OS2\MDOS\WINOS2\SYSTEM.
*
* * MINI.IFS should be manually copied to the SYS:RPL2 subdir on
* your NetWare server if you are using Remote Program Load.
*
* * It is a good idea to make sure you have backups of all files
* being replaced.
*
*
* ---------------------------------------------------------------
* Any trademarks referenced in this document are the property of
* their respective owners.  Consult your product manuals for
* complete trademark information.
* ---------------------------------------------------------------
* :audience.ALLUSERS
***********************************************************************
      R210FT   DOC15JB5 *     *    BINARY SELF-EXTRACTING FILE.
      R210FT   EXE15JB5 *     *    DOCUMENT.
